SDL_UploadToGPUBuffer(3)

NAME
SDL_UploadToGPUBuffer - Uploads data from a transfer buffer to a buffer.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_UploadToGPUBuffer(
    SDL_GPUCopyPass *copy_pass,
    const SDL_GPUTransferBufferLocation *source,
    const SDL_GPUBufferRegion *destination,
    bool cycle);

DESCRIPTION
The upload occurs on the GPU timeline. You may assume that the upload has finished in subsequent commands.

FUNCTION PARAMETERS

copy_pass
    a copy pass handle.

source
    the source transfer buffer with offset.

destination
    the destination buffer with offset and size.

cycle
    if true, cycles the buffer if it is already bound, otherwise overwrites the data.

AVAILABILITY
This function is available since SDL 3.2.0.